import { createApp } from 'vue';

import '@fontsource/inter';

import { tooltip } from '@cloudron/pankow';
import i18n from './i18n.js';
import Terminal from './components/Terminal.vue';

import './style.css';

(async function init() {
  const app = createApp(Terminal);

  app.directive('tooltip', tooltip);

  app.use(await i18n());

  app.mount('#app');
})();
